#ifndef COREGRADE_API_COREGRADE_H
#define COREGRADE_API_COREGRADE_H

#include "vars.h"

// A very simple coregrade class
class CoreGrade {
public:
    CoreGrade();
    ~CoreGrade();
    long coregrade_api(CVars in, CVars &out);
    const char* cfgReadChar(const char *parameter);
    long cfgReadLong(const char *parameter);
    void logMessage(const char *message);
private:
    FILE* pFile;
    int db;
};

#endif /* COREGRADE_API_COREGRADE_H */
